<h2 id="listado-de-endpoints-api">Listado de Endpoints api</h2>
<ul>
<li>Prefijo <strong>/api</strong></li>
<li>ENDPOITS</li>
<li>GET, POST <strong><em>/prospect</em></strong>, Lista de todos los prospectos e inserción de un prospecto<ul>
<li>RESPUESTA (GET)</li>
</ul>
</li>
</ul>
<hr>
<pre><code>        {
            <span class="hljs-string">"data"</span>:[

                 {
                    <span class="hljs-string">"id_prospecto"</span>: <span class="hljs-number">5</span>,
                    <span class="hljs-string">"nombre"</span>: <span class="hljs-string">"Irving"</span>,
                    <span class="hljs-string">"primer_apellido"</span>: <span class="hljs-string">"Sotelo"</span>,
                    <span class="hljs-string">"segundo_apellido"</span>: <span class="hljs-string">""</span>,
                    <span class="hljs-string">"telefono"</span>: <span class="hljs-string">"000000"</span>,
                    <span class="hljs-string">"rfc"</span>: <span class="hljs-string">"000000"</span>,
                    <span class="hljs-string">"status"</span>: <span class="hljs-string">"Autorizado"</span>,
                    <span class="hljs-string">"observaciones"</span>: <span class="hljs-string">""</span>
                }
            ....
            ]
        }

- BODY (POST)
</code></pre><hr>
<pre><code>        {
        <span class="hljs-attr">"nombre"</span>: <span class="hljs-string">"Hiram"</span>,
        <span class="hljs-attr">"primer_apellido"</span>: <span class="hljs-string">"Hernandez"</span>,
        <span class="hljs-attr">"segundo_apellido"</span>: <span class="hljs-string">"Garcia"</span>,
        <span class="hljs-attr">"calle"</span>: <span class="hljs-string">"MERCURIO"</span>,
        <span class="hljs-attr">"numero_casa"</span>: <span class="hljs-string">"4001"</span>,
        <span class="hljs-attr">"colonia"</span>: <span class="hljs-string">"RAMON F ITURBE"</span>,
        <span class="hljs-attr">"codigo_postal"</span>: <span class="hljs-number">82127</span>,
        <span class="hljs-attr">"telefono"</span>: <span class="hljs-string">"6691983947"</span>,
        <span class="hljs-attr">"rfc"</span>: <span class="hljs-string">"0000000011111"</span>,
        <span class="hljs-attr">"id_estado"</span>: <span class="hljs-number">1</span>
        }
</code></pre><ul>
<li><p>GET, PUT <strong><em>/prospect/:idProspecto</em></strong>, del parametro de uri trae la información del prospecto que corresponde a ese ID en caso de encontrarse y en PUT actualiza el estado de ese prospecto en caso de encontrarse (ENVIADO, AUTORIZADO o RECHAZADO)</p>
<ul>
<li>Response (GET)</li>
</ul>
</li>
</ul>
<hr>
<pre><code>     {
        <span class="hljs-attr">"data"</span>: {
            <span class="hljs-attr">"id_prospecto"</span>: <span class="hljs-number">2</span>,
            <span class="hljs-attr">"nombre"</span>: <span class="hljs-string">"RODOLFO"</span>,
            <span class="hljs-attr">"primer_apellido"</span>: <span class="hljs-string">"HERNANDEZ"</span>,
            <span class="hljs-attr">"segundo_apellido"</span>: <span class="hljs-string">""</span>,
            <span class="hljs-attr">"telefono"</span>: <span class="hljs-string">"669383838"</span>,
            <span class="hljs-attr">"rfc"</span>: <span class="hljs-string">"9949494"</span>,
            <span class="hljs-attr">"status"</span>: <span class="hljs-string">"Autorizado"</span>,
            <span class="hljs-attr">"observaciones"</span>: <span class="hljs-string">""</span>
        },
        <span class="hljs-attr">"message"</span>: <span class="hljs-string">"success"</span>
    }
</code></pre><hr>
<ul>
<li>BODY (PUT)</li>
</ul>
<pre><code> {
     <span class="hljs-attr">"autorizar"</span>: <span class="hljs-number">0</span>,
     <span class="hljs-attr">"observaciones"</span>: <span class="hljs-string">"No cuenta con aval"</span>
 }
</code></pre>